Search audience members
GET
/api/v2/channels/{{channel}}/audience/
You can look up an existing audience member by their email address.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” channel
required
string
Query Parameters
Section titled “Query Parameters ” api
string
Example
truerequired | When true, instructs the endpoint that you’re authenticating with an organization key as opposed to some other method. In almost all cases you will want to set this value to true.
count
string
Example
1optional | The number of records to return. Default is 10.
name
string
optional | The first name of the audience member.
page
string
optional | integer | The page number for paginated results.
status
string
optional | integer | The newsletter subscription status of an audience member.
surname
string
optional | The last name of the audience member.
tags
string
optional | string[] | An array of tags matching audience members. This is an OR boolean search, so ['cats', 'dogs'] would be cats OR dogs.
Responses
Section titled “ Responses ”Search
Media type text/plain
Examples
Example Search
{ "subscribers": [ { "channelSubscriberStatus": 3, "channelTags": null, "createdAt": "2023-08-24 10:13:12", "commonFields": { "addressLine1": null, "addressLine2": null, "age": 39, "attitudes": null, "beliefs": null, "birthday": null, "businessWebsite": null, "children": null, "city": null, "contentTopics": null, "country": null, "CRMID": null, "customBehavior1": null, "customBehavior2": null, "customBehavior3": null, "customBehavior4": null, "customID1": null, "customID2": null, "customID3": null, "customID4": null, "customWebProfile1": null, "customWebProfile2": null, "customWebProfile3": null, "customWebProfile4": null, "deliveryPreference": null, "education": null, "ethnicity": null, "events": null, "facebookProfileName": null, "gender": null, "githubProfileName": null, "googleProfileName": null, "honorific": null, "homePhone": null, "income": null, "instagramProfileName": null, "interests": null, "jobCompanyOrOrganizationName": null, "jobTitle": null, "language": null, "lastCampaignDelivered": null, "lastCampaignOpened": null, "lastClickDate": null, "lastContact": null, "lastDeliveryDate": null, "lastEventDate": null, "lastIPAddress": null, "lastLinkClicked": null, "lastOpenDate": null, "lastPurchaseDate": null, "letterheadID": null, "latitude": null, "linkedInProfileName": null, "longitude": null, "maritalStatus": null, "memberStatus": null, "memberStatusChangedDate": null, "mobilePhone": null, "mostEngagedSources": null, "mostEngagedTopics": null, "notes": null, "optInIP": null, "optInTime": null, "pets": null, "politicalAffiliation": null, "postalCode": null, "pronouns": null, "purchases": null, "race": null, "referralSource": null, "referralStatus": null, "referredByEmail": null, "referredByFirstName": null, "referredByLastName": null, "region": null, "religion": null, "sexualOrientation": null, "snapchatProfileName": null, "stateProvince": null, "subscriberStatus": null, "subscriberStatusChangedDate": null, "subscribedIP": null, "subscribedTime": null, "suffix": null, "timeZone": null, "tikTokProfileName": null, "twitterProfileName": null, "unsubscribeIP": null, "unsubscribeTime": null, "website": null, "websiteProfileName": null, "workPhone": null }, "engagementOptIn": 1, "email": "[email protected]", "name": "Rishi", "surname": "Jones", "updatedAt": "2023-08-24 18:13:21", } ], "total": 103}Headers
Section titled “Headers ” Access-Control-Allow-Credentials
string
Example
true Access-Control-Allow-Origin
string
Example
* Access-Control-Max-Age
string
Example
86400 Cache-Control
string
Example
no-cache, private Connection
string
Example
keep-alive Date
string
Example
Sat, 16 Sep 2023 04:31:21 GMT Server
string
Example
nginx/1.14.0 (Ubuntu) Transfer-Encoding
string
Example
chunkedStill can’t find what you need? Contact support.